
import 'package:flutter_mylibrary/http/http_data.dart';

/// 接口的code没有返回为true的异常
class NotSuccessException implements Exception {
  String message;

  NotSuccessException.fromRespData(HttpData respData) {
    message = respData.msg;
  }

  @override
  String toString() {
    return 'NotSuccessException{respData: $message}';
  }
}

/// 用于未登录等权限不够,需要跳转授权页面
class UnAuthorizedException implements Exception {
  const UnAuthorizedException();

  @override
  String toString() => 'UnAuthorizedException';
}


/// 没有数据返回的异常
class NoDataException implements Exception {

  HttpData httpData;


  NoDataException.fromRespData(HttpData respData) {
    this.httpData = respData;
  }



  @override
  String toString() => 'NoDataException';
}