import 'dart:io';
import 'dart:typed_data';
import 'package:flutter/foundation.dart';
import 'package:flutter_mylibrary/flutter_mylibrary.dart';

class ImageApi {

  static Future<Uint8List> image(String url) async {
    return getRequest(url);
  }

  static Future<Uint8List> getRequest(String url) async {
    Uint8List data = await Executor().execute(arg1: url, fun1: dataLoader);
    return data;
  }

  // isolate的绑定方法
  static Future<Uint8List> dataLoader(String requestURL) async {
    Uri resolved = Uri.base.resolve(requestURL);
    HttpClient _httpClient = HttpClient();
    HttpClientRequest request = await _httpClient.getUrl(resolved);
    HttpClientResponse response = await request.close();
    if (response.statusCode != HttpStatus.ok)
      throw Exception(
          'HTTP request failed, statusCode: ${response?.statusCode}, $resolved');
    Uint8List bytes = await consolidateHttpClientResponseBytes(response);
    return bytes;
  }
}